summaryrefslogtreecommitdiffstats
path: root/network/atheme
diff options
context:
space:
mode:
author David Woodfall2017-10-27 20:46:31 +0200
committer Willy Sudiarto Raharjo2017-10-28 02:07:04 +0200
commita92a72b5c96a6e1e9525f2a6c996cfa47f198492 (patch)
tree65bbdb45347e044ff5e8cf5608b2f31164524653 /network/atheme
parent609f70cc53121c7b8c74f39eadebd688b3d19353 (diff)
downloadslackbuilds-a92a72b5c96a6e1e9525f2a6c996cfa47f198492.tar.gz
network/atheme: Added (Atheme IRC Services).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/atheme')
-rw-r--r--network/atheme/README6
-rw-r--r--network/atheme/atheme.SlackBuild111
-rw-r--r--network/atheme/atheme.info10
-rw-r--r--network/atheme/doinst.sh25
-rw-r--r--network/atheme/rc.atheme.new33
-rw-r--r--network/atheme/slack-desc19
6 files changed, 204 insertions, 0 deletions
diff --git a/network/atheme/README b/network/atheme/README
new file mode 100644
index 0000000000..1a01c76a3d
--- /dev/null
+++ b/network/atheme/README
@@ -0,0 +1,6 @@
+Atheme is a feature-packed, extremely customisable IRC services
+daemon that is secure, stable and scalable.
+
+The included rc.atheme supports start|stop|restart|hup
+
+Optional dependencies: qrencode (QR code support), cracklib
diff --git a/network/atheme/atheme.SlackBuild b/network/atheme/atheme.SlackBuild
new file mode 100644
index 0000000000..20556009a8
--- /dev/null
+++ b/network/atheme/atheme.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for atheme
+# Copyright 2017 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=atheme
+VERSION=${VERSION:-7.2.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --enable-contrib \
+ --enable-large-net \
+ --with-pcre \
+ --with-perl \
+ --enable-fhs-paths \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir $PKG/etc/rc.d
+cp $CWD/rc.atheme.new $PKG/etc/rc.d
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL NEWS.md README.md TODO doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+rm -r $PKG/usr/doc/$PRGNAM-$VERSION/doc/perl
+rm -r $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/atheme/atheme.info b/network/atheme/atheme.info
new file mode 100644
index 0000000000..7aa80498b6
--- /dev/null
+++ b/network/atheme/atheme.info
@@ -0,0 +1,10 @@
+PRGNAM="atheme"
+VERSION="7.2.9"
+HOMEPAGE="https://atheme.github.io"
+DOWNLOAD="https://github.com/atheme/atheme/releases/download/v7.2.9/atheme-7.2.9.tar.bz2"
+MD5SUM="7fa80e046e90bf9376cfc5c5207f2b27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/network/atheme/doinst.sh b/network/atheme/doinst.sh
new file mode 100644
index 0000000000..57d52b5f08
--- /dev/null
+++ b/network/atheme/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.atheme.new
diff --git a/network/atheme/rc.atheme.new b/network/atheme/rc.atheme.new
new file mode 100644
index 0000000000..4be277a5bd
--- /dev/null
+++ b/network/atheme/rc.atheme.new
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# Startup file for atheme services.
+# Note that atheme needs starting after your IRC daemon.
+
+start() {
+ atheme-services
+}
+
+stop() {
+ killall atheme-services
+}
+
+hup() {
+ killall -HUP atheme-services
+}
+
+case "$1" in
+ 'start')
+ start
+ ;;
+ 'stop')
+ stop
+ ;;
+ 'hup')
+ hup
+ ;;
+ 'restart')
+ stop
+ sleep 1
+ start
+ ;;
+esac
diff --git a/network/atheme/slack-desc b/network/atheme/slack-desc
new file mode 100644
index 0000000000..6d91975357
--- /dev/null
+++ b/network/atheme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+atheme: atheme (Atheme IRC Services)
+atheme:
+atheme: Atheme is a feature-packed, extremely customisable IRC services
+atheme: daemon that is secure, stable and scalable.
+atheme:
+atheme: https://atheme.github.io
+atheme:
+atheme:
+atheme:
+atheme:
+atheme: